Description: enum is a keyword since 1.5, so let's rename the variable
Forwarded: no
Author: gregor herrmann <gregoa@debian.org>
Last-Update: 2012-04-18

--- a/src/java/org/onemind/commons/java/util/ServletUtils.java
+++ b/src/java/org/onemind/commons/java/util/ServletUtils.java
@@ -58,10 +58,10 @@
         m.put("REQUEST_AUTH_TYPE", req.getAuthType());
         //m.put("REQUEST_CONTEXT_PATH", req.getContextPath());
         m.put("REQUEST_COOKIES", req.getCookies());
-        Enumeration enum = req.getHeaderNames();
-        while (enum.hasMoreElements())
+        Enumeration enumeration = req.getHeaderNames();
+        while (enumeration.hasMoreElements())
         {
-            String header = (String) enum.nextElement();
+            String header = (String) enumeration.nextElement();
             String value = req.getHeader(header);
             m.put(header, value);
         }
@@ -89,10 +89,10 @@
     public static Map getExtraRequestEnvironment(HttpServletRequest req)
     {
         Map m = new HashMap();
-        Enumeration enum = req.getAttributeNames();
-        while (enum.hasMoreElements())
+        Enumeration enumeration = req.getAttributeNames();
+        while (enumeration.hasMoreElements())
         {
-            String attr = (String) enum.nextElement();
+            String attr = (String) enumeration.nextElement();
             m.put(attr, req.getAttribute(attr));
         }
         m.put("CHARACTER_ENCODING", req.getCharacterEncoding());
@@ -146,10 +146,10 @@
             }
         } else
         {
-            Enumeration enum = req.getParameterNames();
-            while (enum.hasMoreElements())
+            Enumeration enumeration = req.getParameterNames();
+            while (enumeration.hasMoreElements())
             {
-                String key = (String) enum.nextElement();
+                String key = (String) enumeration.nextElement();
                 String[] value = req.getParameterValues(key);
                 if (value.length == 0)
                 {
@@ -165,4 +165,4 @@
         }
         return m;
     }
-}
\ No newline at end of file
+}
